Subject: [Fot] Stanford Photo Collection

From: Bob Kramer via Fot <[email-masked]>
Date: Tue, 31 Mar 2015 17:29:56 +0000

I ran across this website today and found a couple of pictures of my blue TR4 in action at Sebring and Daytona I got a couple with the car but is was nice to find a couple on action shots. There is much more there and there is a search function that you can narrow down to find cars like the 10 pictures of the TR250K. There are 389 Triumph photos. I didn't know this resource existed and I really should be working right now..........

https://revslib.stanford.edu/catalog?f%5Bevent_ssi%5D%5B%5D=12+Hours+of+Sebring

Bob Kramer
[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive